View Issue Details

IDProjectCategoryView StatusLast Update
0001194FreeCADFeaturepublic2013-10-11 21:22
ReporteryorikAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version0.14Fixed in Version0.14 
Summary0001194: Spreadsheet module
Description- Allow to use object properties in formulas (for example "=Objects.MyCube.Length")
- Create a new "Spreadsheet Controller" object, that can be inserted as a child in a Spreadsheet object, and that controls the contents of a series of cells. For example, it could gather the Volume property of all objects in the scene
- Import and export to some easy, basic formats (csv to start with, maybe others)
TagsNo tags attached.

Activities

ulrich1a

2013-08-07 06:29

reporter   ~0003440

Have you tried to use gnumeric as spreadsheet for FreeCAD?
Gnumeric can be extended with python. See here for example: https://projects.gnome.org/gnumeric/doc/sect-extending-python.shtml

yorik

2013-08-07 11:33

administrator   ~0003441

Using gnumeric inside freecad would be a very annoying and complex thing to maintain, especially on all the OSes supported by freecad. I prefer to concentrate on keeping a very simple spreadsheet module, and make it compatible/easy to sync with other spreadsheets...

yorik

2013-10-11 21:22

administrator   ~0003733

This is basically done, can be closed...

Issue History

Date Modified Username Field Change
2013-08-05 17:20 yorik New Issue
2013-08-05 17:20 yorik Status new => assigned
2013-08-05 17:20 yorik Assigned To => yorik
2013-08-07 06:29 ulrich1a Note Added: 0003440
2013-08-07 11:33 yorik Note Added: 0003441
2013-10-11 21:22 yorik Note Added: 0003733
2013-10-11 21:22 yorik Status assigned => closed
2013-10-11 21:22 yorik Resolution open => fixed
2013-10-11 21:22 yorik Fixed in Version => 0.14